﻿@{
    ViewBag.Title = "Pay In";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var banks = (List<Cdio447.Models.banks>)ViewBag.bank;
    var histories = (List<Cdio447.Models.payinto_histories>)ViewBag.CheckHistoy;
}
@model Cdio447.Model_Supports.PayInSupport
@using Cdio447.Supports;
<div class="row justify-content-center">
    <div class="col-12 col-lg-6 py-3">
        <div class="form-payin p-3">
            @using (Html.BeginForm("Index", "PayIn", FormMethod.Post))
            {
                <h3 class="text-center mb-0 pb-3">Nạp tiền</h3>
                @Html.AntiForgeryToken()
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                <div class="form-group mb-2 mt-3">
                    <input type="text" id="amount_convert" class="form-control"/>
                    @Html.HiddenFor(model => model.amount, new { @id = "amountPayWd", @class = "form-control", @placeholder = "Số tiền cần nạp" })
                    <p class="mb-0 mt-1">
                        @Html.ValidationMessageFor(model => model.amount, "", new { @class = "text-danger" })
                    </p>
                </div>
                <div class="form-row mb-2 list-bank">
                    @foreach (var bank in banks)
                    {
                        var @urlImage = @Url.Content("~/Content/assets/img/banks/" + bank.image);
                        <div class="col-3">
                            <label class="w-100" for="@bank.id">
                                <div class="box">
                                    <img class="" src="@urlImage" alt="@bank.description" />
                                </div>
                            </label>
                            @Html.RadioButtonFor(model => model.banks, bank.shortNamePayin, new { @id = bank.id })
                        </div>
                    }
                    <div class="form-group m-0" style="padding-left: 6px">
                        <p class="mb-0 mt-1">
                            @Html.ValidationMessageFor(model => model.banks, "", new { @class = "text-danger mt-1" })
                        </p>
                    </div>
                    @Html.HiddenFor(model => model.bank_id, new { @class = "form-control" })
                </div>
                <div class="form-group mb-0 text-center pt-3" style="border-top: 1px solid #e74c3c">
                    <button type="submit" class="btn btn_template">Nạp tiền</button>
                </div>
            }
        </div>
    </div>
    <div class="col-12">
        <div class="box-histories-withdrawl mt-3">
            <h4><i>LỊCH SỬ NẠP TIỀN</i></h4>
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th class="table-withdraw-th">Thời gian</th>
                        <th class="table-withdraw-th">Ngân hàng</th>
                        <th class="table-withdraw-th">Số tiền</th>
                        <th class="table-withdraw-th">Mã order</th>
                    </tr>
                </thead>
                @if (histories != null)
                {
                    <tbody>
                        @foreach (var his in histories)
                        {
                            <tr>
                                <td>@FunctionSupport.convertDatetimeVN(his.created_at)</td>
                                <td>@his.banks.name</td>
                                <td>@FunctionSupport.convertVND(his.amount, " - VND")</td>
                                <td>@his.oder_code</td>
                            </tr>
                        }
                    </tbody>
                }
                else
                {
                    <tbody>
                        <tr>
                            <td colspan="6" class="text-danger">Chưa có lịch sử nạp tiền</td>
                        </tr>
                    </tbody>
                }
            </table>
        </div>
    </div>
</div>